# Credit Types Credit Types ## Gets all of the credit types in the system. - [GET /creditTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/listcredittypes.md): This method will scan all credit types and and return them to the caller. ## Creates a new credit type record that does not already exist. - [POST /creditTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/createcredittype.md): This method will auto-generate an ID and create a new credit type. If an ID is specified for the credit type, an error will be thrown. ## Execute Batch Operations - [POST /creditTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a credit type from the system by its ID. - [DELETE /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/deletecredittype.md): This method will delete a credit type with the specified ID. ## Returns a credit type from the system by its ID. - [GET /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/getcredittype.md): This method will look up a credit type by the specified ID and return it back. ## Partially updates a credit type with the specified ID. - [PATCH /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/patchcredittype.md): This method will patch an existing credit type with the specified ID, using the HTTP PATCH specification. ## Updates a credit type with the specified ID. - [PUT /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/updatecredittype.md): This method will update an existing credit type with the specified ID.